Page MenuHomePhabricator

[Matrix] Generalize ColumnMatrixTy to MatrixTy (NFC).
ClosedPublic

Authored by fhahn on Mar 17 2020, 2:10 PM.

Details

Summary

This patch sets the stage for supporting both row and column major
layouts for matrixes. It renames ColumnMatrixTy to MatrixTy, adds
booleans indicating the underlying layout to both MatrixTy and ShapeInfo
and generalizes the methods of MatrixTy to support both row and column
major layouts.

Diff Detail

Event Timeline

fhahn created this revision.Mar 17 2020, 2:10 PM
Herald added a project: Restricted Project. · View Herald TranscriptMar 17 2020, 2:10 PM
anemet accepted this revision.Mar 19 2020, 10:26 AM

LGTM

llvm/lib/Transforms/Scalar/LowerMatrixIntrinsics.cpp
167–168

update comment

This revision is now accepted and ready to land.Mar 19 2020, 10:26 AM
fhahn updated this revision to Diff 251568.Mar 20 2020, 1:26 AM

Rebase and update comment.

This revision was automatically updated to reflect the committed changes.